Skip to main content
PUT
React to a message with an emoji

Description

This endpoint allows adding an emoji reaction to a specific message in a chat. To remove a reaction, send an empty string in the reaction field. Note: This endpoint uses the HTTP PUT method, not POST.

Body

Body Parameters

Status Codes

  • 200 - Reaction adicionada/removed successfully
  • 400 - Invalid parameters
  • 401 - Unauthorized session
  • 404 - Session not found

Usage Example

Authorizations

apikey
string
header
required

Your Wappfy API key (get it at dash.wappfy.com.br)

Body

application/json
messageId
string
required

Message ID that will receive the reaction

Example:

"false_5511999999999@c.us_AAAAAAAAAAAAAAAAAAAA"

reaction
string
required

Reaction emoji. Send an empty string to remove the reaction

Example:

"👍"

session
string
required

Session name (instanceName)

Example:

"my-session"

Response

200 - application/json

The response is of type object.